Loading...
Searching...
No Matches
Magick::backgroundTextureImage Class Reference

## Public Member Functions

| backgroundTextureImage (const std::string &backgroundTexture_)
void | operator() (Image &image_) const

## Private Attributes

std::string | _backgroundTexture

## Detailed Description

Definition at line 1286 of file STL.h.

## Constructor & Destructor Documentation

## backgroundTextureImage()

Magick::backgroundTextureImage::backgroundTextureImage | ( | const std::string & | backgroundTexture_ | ) |

Definition at line 1195 of file STL.cpp.

: _backgroundTexture( backgroundTexture_ )
{
}

## Member Function Documentation

## operator()()

void Magick::backgroundTextureImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1199 of file STL.cpp.

{
image_.backgroundTexture( _backgroundTexture );
}

## Field Documentation

## _backgroundTexture

std::string Magick::backgroundTextureImage::_backgroundTexture

private

Definition at line 1294 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp